M_NEXT(3P)

NAME
m_next - increment global counter

SYNOPSIS
C syntax:

#include <parallel/microtask.h>
int m_next();

Pascal syntax

function m_next : longint ;
cexternal ;

FORTRAN syntax

integer*4 function m_next

DESCRIPTION
The m_next routine atomically increments a global counter. The program's first call to m_next returns the value 1, the second returns 2, and so on. Calls to the m_fork, m_sync, or m_single routines reset the global counter to zero.

SEE ALSO
m_fork(3P), m_sync(3P), m_single(3P), Guide to Parallel Programming